# Interface DoubleToLongFunction

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface DoubleToLongFunction
Represents a function that accepts a double-valued argument and produces a long-valued result. This is the `double`-to-`long` primitive specialization for `Function`.

This is a functional interface whose functional method is `applyAsLong(double)`.

Since:
  1.8
See Also:
  - `Function`

## Method Summary

Modifier and Type
Method
Description
`long`
`applyAsLong(double value)`
Applies this function to the given argument.

## Method Details

### applyAsLong

long applyAsLong(double value)
Applies this function to the given argument.

Parameters:
  `value` - the function argument
Returns:
  the function result